package com.alibaba.druid.sql.dialect.dm.ast.stmt;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.statement.SQLAlterDatabaseItem;
import com.alibaba.druid.sql.dialect.dm.ast.DmSQLObjectImpl;
import com.alibaba.druid.sql.dialect.dm.visitor.DmASTVisitor;

public class DmAlterDatabaseArchivelog extends DmSQLObjectImpl implements SQLAlterDatabaseItem {
   protected ACTION action;
   protected SQLName configure_clause;

   public void accept0(DmASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public ACTION getAction() {
      return this.action;
   }

   public void setAction(ACTION action) {
      this.action = action;
   }

   public SQLName getConfigure_clause() {
      return this.configure_clause;
   }

   public void setConfigure_clause(SQLName configure_clause) {
      this.configure_clause = configure_clause;
   }

   public static enum ACTION {
      ADD,
      DELETE,
      MODIFY;
   }
}
